Subject: Re: bug#1700: 23.0.60; Please provide a way to know if --daemon is supported

From: "Trent W. Buck" <[email-masked]>
Date: Thu, 25 Dec 2008 21:50:56 +1100

On Thu, Dec 25, 2008 at 09:43:09AM +0100, Sven Joachim wrote:
> On 2008-12-25 09:03 +0100, [email-masked] wrote:
> 
> > Currently I have a script that tries to use --daemon, but if it is not
> > supported falls back on creating an ordinary (mtty, or nothing) Emacs
> > session.  The test it uses for this is:
> >
> >     emacs --batch -q --no-site-file --daemon >/dev/null 2>&1
> >
> > However after my last weekly upgrade, this test fails even when
> > --daemon is supported.  Please provide a way to test for --daemon
> > support that will fail immediately on Emacs 21 and 22 (rather than
> > just launching an ordinary Emacs), and will succeed immediately when
> > --daemon is supported.
> 
> How about "emacs --help | grep -q -e --daemon" ?

Thanks, that works.

I guess I didn't do that originally because I've a habit of not
trusting documentation to be up to date :-)